--- ./config.mk.orig	2024-02-19 23:16:21
+++ ./config.mk	2024-02-19 23:18:12
@@ -4,27 +4,21 @@
 # Customize below to fit your system
 
 # paths
-PREFIX = /usr/local
-MANPREFIX = ${PREFIX}/share/man
+PREFIX ?= /opt/local
+MANPREFIX ?= ${PREFIX}/share/man
+PKGCONFIG = ${PREFIX}/bin/pkg-config
 
-X11INC = /usr/X11R6/include
-X11LIB = /usr/X11R6/lib
-
 # includes and libs
-INCS = -I. -I/usr/include -I/usr/include/freetype2 -I${X11INC}
-LIBS = -L/usr/lib -lc -lm -L${X11LIB} -lXft -lfontconfig -lX11
-# OpenBSD (uncomment)
-#INCS = -I. -I${X11INC} -I${X11INC}/freetype2
-# FreeBSD (uncomment)
-#INCS = -I. -I/usr/local/include -I/usr/local/include/freetype2 -I${X11INC}
-#LIBS = -L/usr/local/lib -lc -lm -L${X11LIB} -lXft -lfontconfig -lX11
+INCS = -I. -I${PREFIX}/include $(shell $(PKGCONFIG) --cflags xft) $(shell $(PKGCONFIG) --cflags freetype2) $(shell $(PKGCONFIG) --cflags fontconfig) $(shell $(PKGCONFIG) --cflags x11)
+LIBS = -lc -lm -L${PREFIX}/lib $(shell $(PKGCONFIG) --libs xft ) $(shell $(PKGCONFIG) --libs freetype2) $(shell $(PKGCONFIG) --libs fontconfig) $(shell $(PKGCONFIG) --libs x11)
 
 # flags
-CPPFLAGS = -DVERSION=\"${VERSION}\" -D_XOPEN_SOURCE=600
-CFLAGS += -g -std=c99 -pedantic -Wall ${INCS} ${CPPFLAGS}
+CPPFLAGS ?=
+CPPFLAGS += -DVERSION=\"${VERSION}\" -D_XOPEN_SOURCE=600
+CFLAGS ?=
+CFLAGS += -g -pedantic -Wall ${INCS} ${CPPFLAGS}
+LDFLAGS ?=
 LDFLAGS += -g ${LIBS}
-#CFLAGS += -std=c99 -pedantic -Wall -Os ${INCS} ${CPPFLAGS}
-#LDFLAGS += ${LIBS}
 
 # compiler and linker
 CC ?= cc
